Bug 1820422 - Enable testing of ImmutableEphemeralVolume feature
Summary: Enable testing of ImmutableEphemeralVolume feature
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Seth Jennings
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-03 03:28 UTC by Maru Newby
Modified: 2020-10-27 15:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 15:57:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25349 0 None closed BUG 1820422: test: extended: reenable ImmutableEphemeralVolume test 2020-11-03 16:40:21 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 15:58:12 UTC

Description Maru Newby 2020-04-03 03:28:16 UTC
Kube 1.18 introduced the ImmutableEphemeralVolume feature as alpha. Since the feature is not enabled by default, the 1.18 rebase disabled the test suite for this feature in `test/extended/util/annotate/rules.go`. This BZ is being filed as a reminder to re-enable the testing should this feature graduate to beta or stable and be enabled by default [1].

1: https://github.com/openshift/origin/pull/24719#discussion_r402145506

Comment 4 Ted Yu 2020-06-15 17:24:29 UTC
This feature would be Beta in the upcoming 1.19 release:

        ImmutableEphemeralVolumes:                      {Default: true, PreRelease: featuregate.Beta},

Comment 7 Seth Jennings 2020-07-30 16:52:55 UTC
https://github.com/openshift/origin/pull/25314 just merged rebasing origin to kube 1.19

Comment 11 Weinan Liu 2020-08-06 08:53:18 UTC
@Seth,
The linked PR has only code change on 
			`\[Feature:SCTPConnectivity\]`,         // https://bugzilla.redhat.com/show_bug.cgi?id=1861606	

Is this the right oone for ImmutableEphemeralVolume?

Comment 12 Seth Jennings 2020-08-06 15:24:05 UTC
Full diff is

diff --git a/test/extended/util/annotate/rules.go b/test/extended/util/annotate/rules.go
index 817ac13901c7..ecfb21d47386 100644
--- a/test/extended/util/annotate/rules.go
+++ b/test/extended/util/annotate/rules.go
@@ -24,9 +24,8 @@ var (
 
 			// BETA features in 1.19, enabled by default
 			// Their enablement is tracked via bz's targeted at 4.6.
-			`\[Feature:ExpandCSIVolumes\]`,         // https://bugzilla.redhat.com/show_bug.cgi?id=1861218
-			`\[Feature:ImmutableEphemeralVolume\]`, // https://bugzilla.redhat.com/show_bug.cgi?id=1820422
-			`\[Feature:SCTPConnectivity\]`,         // https://bugzilla.redhat.com/show_bug.cgi?id=1861606
+			`\[Feature:ExpandCSIVolumes\]`, // https://bugzilla.redhat.com/show_bug.cgi?id=1861218
+			`\[Feature:SCTPConnectivity\]`, // https://bugzilla.redhat.com/show_bug.cgi?id=1861606
 		},
 		// tests for features that are not implemented in openshift
 		"[Disabled:Unimplemented]": {

Note removal of the ImmutableEphemeralVolume line.  The other change lines are just gofmt moving the trailing comment.

Comment 13 Weinan Liu 2020-08-07 05:49:04 UTC
Verified to be fixed based on comment 12

Comment 15 errata-xmlrpc 2020-10-27 15:57:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.